# Parameters to models
Alfa := p[1];
Gama := p[2];

# Intermediate combinations
Z1 := x[2] ^ Gama + x[3] ^ Gama + x[4] ^ Gama + x[5] ^ Gama + x[6] ^ Gama; 
Z2 := x[3] ^ Gama + x[4] ^ Gama + x[5] ^ Gama + x[6] ^ Gama + x[1] ^ Gama; 
Z3 := x[4] ^ Gama + x[5] ^ Gama + x[6] ^ Gama + x[1] ^ Gama + x[2] ^ Gama; 
Z4 := x[5] ^ Gama + x[6] ^ Gama + x[1] ^ Gama + x[2] ^ Gama + x[3] ^ Gama; 
Z5 := x[6] ^ Gama + x[1] ^ Gama + x[2] ^ Gama + x[3] ^ Gama + x[4] ^ Gama; 
Z6 := x[1] ^ Gama + x[2] ^ Gama + x[3] ^ Gama + x[4] ^ Gama + x[5] ^ Gama; 

# Right parts of the equations
f[1] := Alfa / (1 + Z1) - x[1];
f[2] := Alfa / (1 + Z2) - x[2];
f[3] := Alfa / (1 + Z3) - x[3];
f[4] := Alfa / (1 + Z4) - x[4];
f[5] := Alfa / (1 + Z5) - x[5];
f[6] := Alfa / (1 + Z6) - x[6];
