# Обозначения параметров модели
zk1      :=p[1]; 
zk21     :=p[2]; 
zk22     :=p[3]; 
zk23     :=p[4]; 
zk31     :=p[5]; 
zk32     :=p[6]; 
zk41     :=p[7]; 
zk4      :=p[8]; 
zk51     :=p[9]; 
zk52     :=p[10];
zk6      :=p[11];
zk7      :=p[12];
zk8      :=p[13];
zk9      :=p[14];
zk10     :=p[15];
zk11     :=p[16]; 
zk12     :=p[17]; 
zk121    :=p[18]; 
zk122    :=p[19]; 
zk13     :=p[20]; 
zk14     :=p[21]; 
zk15     :=p[22]; 
zk161    :=p[23]; 
zk162    :=p[24]; 
zk251    :=p[25];
zk252    :=p[26];
zkdiss   :=p[27];
zJ3      :=p[28];
zJ4      :=p[29];
zJ5      :=p[30];
zJ7      :=p[31]; 
zJ8      :=p[32]; 
zJ9      :=p[33]; 
zJ10     :=p[34]; 
zJ15     :=p[35]; 
zJ16     :=p[36]; 
Vawee    :=p[37]; 
Viwee    :=p[38]; 
zJawee   :=p[39]; 
zJiwee   :=p[40];
Va25     :=p[41];
Vi25     :=p[42];
zJa25    :=p[43];
zJi25    :=p[44];
zkwee1   :=p[45];
zkwee2   :=p[46];
zmu      :=p[47];
zMass    :=p[48];

# Определение функции F(a,b,zz,d) 
F:=(a,b,zz,d) -> 2.*a*d/(b-a+b*zz+a*d+sqrt((b-a+b*zz+a*d)**2-4.*a*d*(b-a)));

Sigma:=x[1]+x[7]+zkdiss;                                                                  
Trim:=2.*x[1]*x[7]/(Sigma+sqrt(Sigma**2-4.*x[1]*x[7]));
zMPF:=(x[1]-x[2])*(x[1]-Trim)/x[1];

TF:=F(zk15*zMass,zk161+zk162*zMPF,zJ15,zJ16);
wr1:=F(Vawee,Viwee*zMPF,zJawee,zJiwee);
wr2:=F(Va25*zMPF,Vi25,zJa25,zJi25);

zkwee:=zkwee1+(zkwee2-zkwee1)*wr1;
zk25:=zk251+(zk252-zk251)*wr2;

# Правые части уравнений
f[1]:=zk1*zMass-zk21*x[1]-zk22*x[1]*x[3]-zk23*x[1]*x[5];
f[2]:=zkwee*(x[1]-x[2])-zk25*x[2]-zk21*x[2]-zk22*x[2]*x[3]-zk23*x[2]*x[5];
f[3]:=zk31*(1.-x[3])/(zJ3+1.-x[3])+zk32*x[5]*(1.-x[3])/(zJ3+1.-x[3])-zk41*x[8]*x[3]/(zJ4+x[3])-zk4*zMPF*x[3]/(zJ4+x[3]);
f[4]:=zk51+zk52*zMPF**4/(zJ5**4+zMPF**4)-zk6*x[4];
f[5]:=zk7*x[6]*(x[4]-x[5])/(zJ7+x[4]-x[5])-zk8*x[5]/(zJ8+x[5]);
f[6]:=zk9*zMPF*(1.-x[6])/(zJ9+1.-x[6])-zk10*x[6]/(zJ10+x[6]);
f[7]:=zk11-zk12*x[7]-zk121*x[7]*x[8]-zk122*x[7]*zMPF;
f[8]:=zk13*TF-zk14*x[8];
